package com.unis.transaction.api.creditevaluate;

import com.alibaba.fastjson.JSONObject;
import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.creditevaluate.TurnoverDataVO;
import org.springframework.web.bind.annotation.*;

/**
 * Author lidiaoquan
 *  成交数据维护 at 2019-09-26
 */
@RequestMapping("turnoverdata")
public interface TurnoverDataApi {

    //成交数据维护-新增
    @PostMapping("/insertTurnoverData")
    public ResponseWrapper insertTurnoverData(@RequestBody TurnoverDataVO vo);

    //成交数据维护-新增
    @PostMapping("/insertTurnoverDataImp")
    public ResponseWrapper insertTurnoverDataImp(@RequestBody TurnoverDataVO vo);

    //成交数据维护-修改
    @PostMapping("/updateTurnoverData")
    public ResponseWrapper updateTurnoverData(@RequestBody  TurnoverDataVO vo);

 	//成交数据维护-分页查询列表
    @PostMapping("/selectTurnoverDataPageList")
    public ResponseWrapper selectTurnoverDataPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
        									  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
       										  @RequestBody TurnoverDataVO vo);
    @PostMapping("/selectTurnoverDataImport")
    public ResponseWrapper selectTurnoverDataImport(@RequestBody TurnoverDataVO vo);
    //成交数据维护-查询单个
    @PostMapping("/selectTurnoverDataDetail")
    public ResponseWrapper selectTurnoverDataDetail(@RequestBody  TurnoverDataVO vo);
    
    //成交数据维护-查询全部数据
    @PostMapping("/selectTurnoverDataAll")
    public ResponseWrapper selectTurnoverDataAll(@RequestBody  TurnoverDataVO vo);
    
    //成交数据维护-查询全部数据
    @GetMapping("/downloadTemplate")
	void downloadTemplate();
    
    @PostMapping(value = "/impData")	
    ResponseWrapper impData(JSONObject obj);

}