package com.unis.transaction.api.creditevaluate;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.creditevaluate.TurnoverEndVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Author lgd
 *  交易结果及手续费维护 at 2019-09-26
 */
@RequestMapping("turnoverend")
public interface TurnoverEndApi {


    //成交数据维护-修改
    @PostMapping("/updateTurnoverEnd")
    public ResponseWrapper updateTurnoverEnd(@RequestBody TurnoverEndVO vo);

 	//成交数据维护-分页查询列表
    @PostMapping("/selectTurnoverEndPageList")
    public ResponseWrapper selectTurnoverEndPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                      @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                      @RequestBody TurnoverEndVO vo);

    //成交数据维护-查询单个
    @PostMapping("/selectTurnoverEndDetail")
    public ResponseWrapper selectTurnoverEndDetail(@RequestBody TurnoverEndVO vo);

    //成交数据维护-分页查询列表
    @PostMapping("/selectTurnoverSxfPageList")
    public ResponseWrapper selectTurnoverSxfPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                     @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                     @RequestBody TurnoverEndVO vo);

    //成交数据维护-查询单个
    @PostMapping("/selectTurnoverSxfDetail")
    public ResponseWrapper selectTurnoverSxfDetail(@RequestBody TurnoverEndVO vo);


}