package com.unis.transaction.api.givebackbail;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.givebackbail.ComplainVO;
import org.springframework.web.bind.annotation.*;

/**
 * Author lgd
 *  交易申诉
 */
@RequestMapping("complain")
public interface ComplainApi {
    //交易申诉-新增
    @PostMapping("/insertComplain")
    public ResponseWrapper insertComplain(@RequestBody ComplainVO vo);

    //交易申诉-修改
    @PostMapping("/updateComplain")
    public ResponseWrapper updateComplain(@RequestBody  ComplainVO vo);

    //交易申诉-修改
    @PostMapping("/selectSiteAll")
    public ResponseWrapper selectSiteAll();

    @GetMapping(value = "/selectContracts/{ccbm}")
    public ResponseWrapper selectContracts(@RequestParam("ccbm") String ccbm);

    //交易申诉-删除
    @PostMapping("/deleteComplain")
    public ResponseWrapper deleteComplain(@RequestBody  ComplainVO vo);

    //交易申诉-分页查询列表
    @PostMapping("/selectComplainPageList")
    public ResponseWrapper selectComplainPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                  @RequestBody ComplainVO vo);

    //交易申诉-查询单个
    @PostMapping("/selectComplainDetail")
    public ResponseWrapper selectComplainDetail(@RequestBody  ComplainVO vo);
}
