/*
 * GiveBackBailLetterApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-09-20 21:04:21 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.transaction.api.givebackbail;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.givebackbail.GiveBackBailLetterVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * TY_JYTKWTH-退保证金委托函
 * @author lipenghe at 2019-09-20 21:04:21
 */
//@RequestMapping("/manager/givebackbail")
//退保证金委托函
public interface GiveBackBailLetterApi {

    //保证金退款---退保证金委托函---新增
    @PostMapping("/manager/givebackbail/giveBackBailLetter/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody GiveBackBailLetterVO bailLetterVO);

    //保证金退款---退保证金委托函---修改
    @PostMapping("/manager/givebackbail/giveBackBailLetter/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody GiveBackBailLetterVO bailLetterVO);

    //保证金退款---退保证金委托函---删除
    @PostMapping("/manager/givebackbail/giveBackBailLetter/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody GiveBackBailLetterVO bailLetterVO);

    //保证金退款---退保证金委托函---更新状态
    @PostMapping("/manager/givebackbail/giveBackBailLetter/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody GiveBackBailLetterVO bailLetterVO);

    //保证金退款---退保证金委托函---编制人分页查询列表
    @PostMapping("/manager/givebackbail/giveBackBailLetter/selectOwnerPageByEntity")
    public ResponseWrapper selectOwnerPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody GiveBackBailLetterVO bailLetterVO);

    //保证金退款---退保证金委托函---接收组织分页查询列表
    @PostMapping("/manager/givebackbail/giveBackBailLetter/selectReceivePageByEntity")
    public ResponseWrapper selectReceivePageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody GiveBackBailLetterVO bailLetterVO);

    //保证金退款---退保证金委托函---查询详情
    @PostMapping("/manager/givebackbail/giveBackBailLetter/selectById")
    public ResponseWrapper selectById(@RequestBody GiveBackBailLetterVO bailLetterVO);

    @PostMapping("/manager/givebackbail/giveBackBailLetter/selectTkdwList")
    public ResponseWrapper selectTkdwList();

    @PostMapping("/manager/givebackbail/giveBackBailLetter/selectTkdwHtList/{dwbm}")
    public ResponseWrapper selectTkdwHtList(@RequestParam("dwbm") String dwbm);

    //保证金退款---退保证金委托函---初始化数据
    @PostMapping("/manager/givebackbail/giveBackBailLetter/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody GiveBackBailLetterVO GiveBackBailLetterVO);
}
