package com.unis.transaction.common.constant;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

/**
 *
 */
@ApiModel("保证金退款通知状态")
@Getter
public enum RefundNoticeConstant {

    DSC("92000100","待生成"),
    DGZ("92000200","已生成待盖章"),
    GZBH("92000201","盖章驳回"),
    DJS("92000300","等待接收"),
    YJS("92000400","已接收"),
    YBH("92000500","已驳回");

    @Setter
    private String name;
    @Setter
    private String value;

    private RefundNoticeConstant(String value, String name){
        this.value=value;
        this.name=name;
    }
    public boolean eqVal(String val){
        return this.value.equals(val);
    }
}
