package com.unis.transaction.common.constant;

public enum ReserveStatusConstant {
	//流程状态---待提交
	TO_BE_SUBMIT("90000000","待提交"),
	//流程状态---驳回
	REFUSED("90000001","驳回"),
	//流程状态---已提交也即是待审核
	SUBMIT("90100000","已提交"),
	//流程状态---已提交也即是待审核
	SUBMIT_TO_BE_REVIEW("90200000","盟市待审核"),
	//流程状态---已提交也即是待审核
	SUBMIT_TO_BE_REVIEW_PARENT("90200000","自治区待审核"),
	//流程状态---审核通过
	REVIEWED("90400000","盟市审核通过"),
	//流程状态---已指定
	ASSIGNED("90400500","自治区审核通过");

	private String name;
	private String value;

	private ReserveStatusConstant(String value, String name){
		this.value=value;
		this.name=name;
	}

	public String getValue(){
		return this.value;
	}
	public void setValue(String value){
		this.value=value;
	}
	public String getName(){
		return this.name;
	}
	public void setName(String name){
		this.name=name;
	}
}
