package com.unis.transaction.common.constant;

public enum RotatePlanStatusConstant {

    FINISH("91000013","已通过"),

    DXF("91000028","待下发"),
    XFDGZ("91000029","下发待盖章"),
    ZCPH("91000032","再次平衡"),

    WQS("91000031","未请示"),
    PFZ("91000005","批复中"),
    YXF("91000030","已下发"),
    YPF("91000006","已批复"),

    DQR("91000033","待确认"),
    YQRDGZ("91000017","已确认待盖章"),
    CWYQR("91000034","财务已确认"),//
    YQR("91000018","已确认"),


    YSB("91000010","已上报"),
    YSBDGZ("91000025","已上报待盖章"),
    DSB("91000009","待上报"),
    WFK("91000007","未付款"),
    YFK("91000003","确认已付款"),
    YTJDGZ("91000016", "已提交待盖章"),

    YBH("91000008", "已驳回"),
    YFB("91000048", "已发布"),
    DTJ("91000001", "待提交"),
    YTJ("91000004", "已提交"),
    DSH("91000002", "待审核"),
    YSHDGZ("91000011", "已审核待盖章"),
    WTG("91000012", "未通过"),
    YCJ("91000060", "已成交"),
    WCJ("91000061", "未成交"),
    GGCH("91000050", "公告已撤回"),
    QDCH("91000051", "清单已撤回"),
    YTK("91000055","已退款"),
    WYTK("91000058","未成交退款"),

    DYS("91000021","待验收"),
    YYSDGZ("91000022", "已验收待盖章"),
    YSTG("91000023","验收通过"),
    YSBTG("91000024","验收不通过"),
	SHZ("后期根据字典添加", "审核中"),

    YGQ("91000079","已过期"),
    YLY("91000080","已履约"),
    BFLY("91000081", "部分履约"),
    WY("91000082","违约"),
    WG("91000083","违规"),
    YZZ("91000084", "已终止"),
    YCC("91000085", "违规已清除");

	private String name;
	private String value;

    private  RotatePlanStatusConstant(String value,String name){
        this.value=value;
        this.name=name;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value=value;
    }
    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }
}
