package com.unis.transaction.common.constant;

import lombok.Getter;
import lombok.Setter;

/**
 * @author by PIG
 * 2023/1/16 14
 */
public class TradeType {

    /**
     * 采购
     */
    public static String CG = "0";
    /**
     * 销售
     */
    public static String XS = "1";
    /**
     * 双向
     */
    public static String SX = "0,1";

    @Getter
    public enum type {
        /**
         * 采购
         */
        CG(0, "采购"),
        /**
         * 销售
         */
        XS(1, "销售");

        @Setter
        private String name;

        @Setter
        private int value;
        type(int val, String name) {
            this.value = val;
            this.name = name;
        }
    }
}
