package com.unis.transaction.common.vo.signuppay;

import com.unis.transaction.common.vo.flowable.base.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Author lidiaoquan
 * Description 手续费率维护
 * Date  2019-09-19
 */
@ApiModel(value = "手续费率维护")
@Data
public class FeeRateVO extends BaseVO implements Serializable{
	private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "FL+8位顺序号  费率编码", notes ="", required = false)
	private String flbm;

	@ApiModelProperty(value = "手续费率维护", notes ="", required = false)
	private String sxfl;

	@ApiModelProperty(value = "粮食性质编码", notes ="", required = false)
	private String clxzbm;

	@ApiModelProperty(value = "粮食性质名称", notes ="", required = false)
	private String clxzmc;

	@ApiModelProperty(value = "发布状态 0 禁用中 1应用中", notes ="", required = false)
	private Integer fbzt;

	@ApiModelProperty(value = "发布状态名称 0 禁用中 1应用中", notes ="", required = false)
	private String fbztmc;

	@ApiModelProperty(value = "备注", notes ="", required = false)
	private String remark;

}