package com.unis.transaction.common.vo.signuppay;

import com.unis.transaction.common.vo.UrlVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Author lidiaoquan
 * Description 交易报名场次
 * Date  2019-09-19
 */
@ApiModel(value = "交易报名场次")
@Data
public class SceneVO extends UrlVO implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "标的编码", notes ="", required = false)
	private String bdbm;

	@ApiModelProperty(value = "品种编码", notes ="", required = false)
	private String pzbm;
	
	@ApiModelProperty(value = "数量", notes ="", required = false)
	private float sl;
	
	@ApiModelProperty(value = "品种名称", notes ="", required = false)
	private String pzmc;
	
	@ApiModelProperty(value = "场次", notes ="", required = false)
	private String apcc;

}