package com.unis.transaction.common.vo.tradeplan;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;


/**
 * @author by PIG
 * 2022/8/22 15
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "出入库委托书 看样")
@Table(name = "ty_jycrkwt_ky")
public class EntryAndExitOrderSeeSampleDO {

    @Id
    @Column(name = "data_id")
    private String dataId;

    @ApiModelProperty(value = "wt+8位顺序号  编码", notes ="")
    private String wtbm;

    @ApiModelProperty(value = "看样地点", notes = "")
    @Column(name = "locale")
    private String locale;

    @ApiModelProperty(value = "联系人", notes = "")
    @Column(name = "lxr")
    private String lxr;

}
