package com.unis.transaction.common.vo.tradeplan;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "手续费")
@Data
public class SxfVO implements Serializable {
    @ApiModelProperty(value = "合同编号", notes ="", required = false)
    private String htbh;

    @ApiModelProperty(value = "成交单位", notes ="", required = false)
    private String cjdw;

    @ApiModelProperty(value = "单价", notes ="", required = false)
    private String dj;

    @ApiModelProperty(value = "数量", notes ="", required = false)
    private String sl;

    @ApiModelProperty(value = "成交金额", notes ="", required = false)
    private String cjje;

    @ApiModelProperty(value = "手续费", notes ="", required = false)
    private String sxf;

    @ApiModelProperty(value = "预交保证金", notes ="", required = false)
    private String yjbzj;

    @ApiModelProperty(value = "冻结资金", notes ="", required = false)
    private String djzj;

    @ApiModelProperty(value = "可清退保证金", notes ="", required = false)
    private String kqtbzj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @ApiModelProperty(value = "交割日期", notes ="", required = false)
    private Date jgrq;

    @ApiModelProperty(value = "备注", notes ="", required = false)
    private String bz;
}
