package com.unis.transaction.common.vo.tradeplan;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author by PIG
 * 2022/9/21 14
 */
@AllArgsConstructor
@Builder
@NoArgsConstructor
@Data
public class WarehousingArrangementDTO {


    @ApiModelProperty("集合")
    private List<WarehousingArrangementVO> detailList;

    @ApiModelProperty(value = "所属库点编码 同意社会信用代码", notes ="")
    private String dwbm;

    @ApiModelProperty(value = "所属库点代码 组织编号", notes ="")
    private String dwdm;

    @ApiModelProperty(value = "所属库点名称", notes ="")
    private String dwmc;

    @ApiModelProperty(value = "统计", notes ="")
    private BigDecimal count;
}
