package com.unis.transaction.server.config;

import com.alibaba.druid.pool.DruidDataSource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;

import java.sql.SQLException;

//@Configuration
//@ConfigurationProperties(prefix = "spring.datasource")
public class DruidConfiguration {
    private static final Logger LOGGER = LoggerFactory.getLogger(DruidConfiguration.class);

//    private String name;
    private String url="jdbc:gbasedbt-sqli://192.168.123.154:9088/db_utf8:INFORMIXSERVER=gbaseserver;DB_LOCALE=zh_cn.utf8;CLIENT_LOCALE=zh_cn.utf8;NEWCODESET=UTF8,zh_cn.UTF8,57372;;GL_USEGLU=1;IFX_USE_STRENC=true;characterEncoding=utf8;";
    private String username="gbasedbt";
    private String password="8sLSHJ";
//    private String type="com.alibaba.druid.pool.DruidDataSource";
    private String driverClassName="com.gbasedbt.jdbc.IfxDriver";
    private String filters;
    private int maxActive=30;
    private int initialSize=5;
    private int maxWait=30;
    private int minIdle=5;
    private int timeBetweenEvictionRunsMillis=60000;
    private int minEvictableIdleTimeMillis=300000;
    private boolean testWhileIdle=true;
    private String validationQuery="select 1 from dual";
    private boolean testOnBorrow=false;
    private boolean testOnReturn=false;
    private boolean poolPreparedStatements=true;
    private int maxOpenPreparedStatements=30;

    @Bean
    public DruidDataSource dataSource() {
        DruidDataSource dataSource = new DruidDataSource();
        dataSource.setDriverClassName(driverClassName);
        dataSource.setUrl(url);
        dataSource.setUsername(username);
        dataSource.setPassword(password);
        try {
            dataSource.setFilters(filters);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        dataSource.setMaxActive(maxActive);
        dataSource.setInitialSize(initialSize);
        dataSource.setMaxWait(maxWait);
        dataSource.setMinIdle(minIdle);
        dataSource.setTimeBetweenConnectErrorMillis(timeBetweenEvictionRunsMillis);
        dataSource.setMinEvictableIdleTimeMillis(minEvictableIdleTimeMillis);
        dataSource.setTestWhileIdle(testWhileIdle);
        dataSource.setValidationQuery(validationQuery);
        dataSource.setTestOnBorrow(testOnBorrow);
        dataSource.setTestOnReturn(testOnReturn);
        dataSource.setPoolPreparedStatements(poolPreparedStatements);
        dataSource.setMaxOpenPreparedStatements(maxOpenPreparedStatements);
//        dataSource.setFilters("mergeStat,wall,log4j");//mergeStat代替stat表示sql合并,wall表示防御SQL注入攻击
        return dataSource;
    }

//    @Bean
//    @Profile({"localdev", "remotetest"})
//    public ServletRegistrationBean druidServlet() {
//        LOGGER.info("\n********************************************************\n\n加载druid " +
//                "servlet\n\n********************************************************");
//        return new ServletRegistrationBean(new StatViewServlet(), "/druid/*");
//    }
//
//    @Bean
//    @Profile({"localdev", "remotetest"})
//    public FilterRegistrationBean filterRegistrationBean() {
//        FilterRegistrationBean filterRegistrationBean = new FilterRegistrationBean();
//        filterRegistrationBean.setFilter(new WebStatFilter());
//        filterRegistrationBean.addUrlPatterns("/*");
//        filterRegistrationBean.addInitParameter("exclusions", "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*");
//        return filterRegistrationBean;
//    }
}