package com.unis.transaction.server.config;
//package com.unis.model.transaction.config;
//
//import com.itextpdf.text.Document;
//import com.itextpdf.text.Font;
//import com.itextpdf.text.pdf.*;
//
//import org.apache.commons.lang.StringUtils;
//import org.springframework.stereotype.Service;
//
//import java.io.ByteArrayOutputStream;
//import java.io.File;
//import java.io.FileOutputStream;
//import java.io.OutputStream;
//import java.util.*;
//
///**
// * @author : yang
// * @version : 1.0
// * @date : 2019/3/13
// */
//@Service
//@SuppressWarnings("all")
//public class ExportPdfUtils {
//
//    /**
//     * 将多个pdf文件合并成一个文件  
//     *
//     * @param files    模板文件路径数组
//     * @param savepath 保存文件路径
//     * @return void
//     * @date 2019/3/18
//     */
//    public static void mergePdfFiles(String[] files, String savepath) throws Exception {
//        Document document = null;
//        try {
//            document = new Document(new PdfReader(files[0]).getPageSize(1));
//            PdfCopy copy = new PdfCopy(document, new FileOutputStream(savepath));
//            document.open();
//            for (int i = 0; i < files.length; i++) {
//                PdfReader reader = new PdfReader(files[i]);
//                int n = reader.getNumberOfPages();
//                for (int j = 1; j <= n; j++) {
//                    document.newPage();
//                    PdfImportedPage page = copy.getImportedPage(reader, j);
//                    copy.addPage(page);
//                }
//            }
//        } catch (Exception e) {
//            System.out.println("===============PDF导出失败=============");
//            e.printStackTrace();
//        } finally {
//            document.close();
//        }
//    }
//
//    /**
//     * 将数据流数组里的数据 一个个取出来合并成一个文件 导出到指定位置
//     *
//     * @param osArray
//     * @param targetFile
//     * @return void
//     * @date 2019/3/18
//     */
//    public void mergeExport(List<ByteArrayOutputStream> osList, OutputStream out, String targetFile) throws Exception {
//
//        OutputStream outputStream = null;
//        //生成的新文件路径
//        if (StringUtils.isNotBlank(targetFile)) {
//            String ppath = targetFile.substring(0,targetFile.lastIndexOf("/"));
//            File file = new File(ppath);
//            if(!file.exists()){
//                file.mkdirs();
//            }  
//            file = new File(targetFile);
//            outputStream = new FileOutputStream(file);//输出流
//        } else {
//            outputStream = out;
//        }
//        Document document = new Document();
//        PdfCopy copy = new PdfCopy(document, outputStream);
//        try {
//            document.open();
//            for (ByteArrayOutputStream os : osList) {
//                PdfReader pd = new PdfReader(os.toByteArray());
//                int a = pd.getNumberOfPages();
//                for (int j = 1; j <= a; j++) {
//                    document.newPage();
//                    PdfImportedPage page = copy.getImportedPage(pd, j);
//                    copy.addPage(page);
//                }
//            }
//        } catch (Exception e) {
//            System.out.println("===============PDF导出失败=============");
//            e.printStackTrace();
//        } finally {
//            document.close();
//        }
//    }
//
//    /**
//     * 第一个参数 模板路径 ，第二个参数 保存路径，第三个参数 模板和数据 键值对
//     *
//     * @param templateFile
//     * @param fieldMap
//     * @return java.io.ByteArrayOutputStream
//     * @date 2019/3/18
//     */
//    public ByteArrayOutputStream useMapToStream(String templateFile, Map<String, String> fieldMap) throws Exception {
//        ByteArrayOutputStream bos = null;
//        PdfReader reader = null;
//        PdfStamper stamper = null;
//        try {
//            bos = new ByteArrayOutputStream();
//            // 2 读入pdf表单
//            reader = new PdfReader(templateFile);
//            // 3 根据表单生成一个新的pdf
//            stamper = new PdfStamper(reader, bos);
//            stamper.setFullCompression();
//            // 4 获取pdf表单
//            AcroFields form = stamper.getAcroFields();
//            /* 使用中文字体 */
//            BaseFont bf = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", BaseFont.NOT_EMBEDDED);
//            Font fontChinese = new Font(bf, 12, Font.NORMAL);
//            /* 取出报表模板中的所有字段 */
//            form.addSubstitutionFont(bf);//这行必须添加否则中文不显示
//            /* 为字段赋值,注意字段名称是区分大小写的 */
//            for (String key : fieldMap.keySet()) {
//                form.setField(key, fieldMap.get(key));
//            }
//            //如果为false那么生成的PDF文件还能编辑，一定要设为true
//            stamper.setFormFlattening(true);
////            stamper.setFullCompression();
//            return bos;
//        } catch (Exception e) {
//            System.out.println("===============PDF导出失败=============");
//            e.printStackTrace();
//        } finally {
//            try {
//                stamper.close();
//                reader.close();
//                bos.close();
//            } catch (Exception e) {
//                e.printStackTrace();
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 第一个参数 模板路径 ，第二个参数 保存路径，第三个参数  参数数组形式
//     *
//     * @param templateFile
//     * @param str
//     * @return java.io.ByteArrayOutputStream
//     * @date 2019/3/18
//     */
//    public ByteArrayOutputStream useArrayToStream(String templateFile, String[] str) throws Exception {
//        ByteArrayOutputStream bos = null;
//        PdfReader reader = null;
//        PdfStamper stamper = null;
//        try {
//            bos = new ByteArrayOutputStream();
//            // 2 读入pdf表单
//            reader = new PdfReader(templateFile);
//            // 3 根据表单生成一个新的pdf
//            stamper = new PdfStamper(reader, bos);
//            // 4 获取pdf表单
//            AcroFields form = stamper.getAcroFields();
//            /* 使用中文字体 */
//            BaseFont bf = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", BaseFont.NOT_EMBEDDED);
//            Font fontChinese = new Font(bf, 12, Font.NORMAL);
//            /* 取出报表模板中的所有字段 */
//            form.addSubstitutionFont(bf);//这行必须添加否则中文不显示
//
//            //  为属性设值
//            //String[] str = {"122","2fsdfds","非官方的3","4","5","6","2","12ssssssssssssss","7热天热特瑞特","8","        ","10"};
//            List<Map.Entry<String, AcroFields.Item>> list = new ArrayList<Map.Entry<String, AcroFields.Item>>(form.getFields().entrySet());
//            // 模板字段排序
//            Collections.sort(list, new Comparator<Map.Entry<String, AcroFields.Item>>() {
//                @Override
//                public int compare(Map.Entry<String, AcroFields.Item> o1, Map.Entry<String, AcroFields.Item> o2) {
//                    return Integer.parseInt(o1.getKey().toString()) - Integer.parseInt(o2.getKey().toString());
//                }
//            });
//            int i = 0;
//            if(str!=null) {
//                for (Map.Entry<String, AcroFields.Item> map : list) {
//                    String name = map.getKey().toString();
//                    System.out.println("i" + i + "-----size" + str.length);
//                    if (str[i] != null && !"null".equals(str[i])) {
//                        form.setField(name, str[i]);
//                    } else {
//                        form.setField(name, "");
//                    }
//                    i++;
//                }
//            }
//            //如果为false那么生成的PDF文件还能编辑，一定要设为true
//            stamper.setFormFlattening(true);
////            stamper.setFullCompression();
//            return bos;
//        } catch (Exception e) {
//            System.out.println("===============PDF导出失败=============");
//            e.printStackTrace();
//        } finally {
//            try {
//                stamper.close();
//                reader.close();
//                bos.close();
//            } catch (Exception e) {
//                e.printStackTrace();
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 将文件流导出到指定位置
//     *
//     * @param templateFile 模板路径
//     * @param targetFile   保存路径
//     * @param str          数组形式的数据参数           二选一
//     * @param fieldMap     键值对形式<模板key,数据值>   二选一
//     * @return void
//     * @date 2019/3/18
//     */
//    public void streamToFile(String templateFile, String targetFile, String[] str, Map<String, String> fieldMap) throws Exception {
//        ByteArrayOutputStream bos = null;
//        PdfReader reader = null;
//        PdfStamper stamper = null;
//        FileOutputStream out = null;
//        try {
//            out = new FileOutputStream(targetFile);//输出流
//            if (str.length > 0) {
//                bos = this.useArrayToStream(templateFile, str);
//            } else {
//                bos = this.useMapToStream(templateFile, fieldMap);
//            }
//            Document doc = new Document();
//            PdfCopy copy = new PdfCopy(doc, out);
//            doc.open();
//            PdfImportedPage importPage = copy.getImportedPage(new PdfReader(bos.toByteArray()), 1);
//            copy.addPage(importPage);
//            doc.close();
//        } catch (Exception e) {
//            System.out.println("===============PDF导出失败=============");
//            e.printStackTrace();
//        } finally {
//            try {
//                stamper.close();
//                reader.close();
//                bos.close();
//            } catch (Exception e) {
//                e.printStackTrace();
//            }
//        }
//    }
//
//}
//
