package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.common.vo.creditevaluate.EnterPriseClassSetVO;
import com.unis.transaction.server.entity.creditevaluate.EnterPriseClassSetDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 企业分级设置
 * @author lidiaoquan at 2019-09-26
 */
public interface EnterPriseClassSetDao extends Mapper<EnterPriseClassSetDO>{

    public List<EnterPriseClassSetDO> selectList(EnterPriseClassSetVO vo);

    public Page<EnterPriseClassSetVO> selectPageList(EnterPriseClassSetVO vo);

    public EnterPriseClassSetVO selectDetail(EnterPriseClassSetVO vo);

    public int insertEnterPriseClassSet(EnterPriseClassSetDO enterpriseclassset);

    public int updateEnterPriseClassSet(EnterPriseClassSetDO enterpriseclassset);

    public int deleteEnterPriseClassSet(EnterPriseClassSetDO enterpriseclassset);

}