package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.common.vo.tradeplan.EntryAndExitOrderVO;
import com.unis.transaction.server.entity.tradeplan.EntryAndExitOrderDO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 出入库委托书
 * @author huyong at 2019-09-19
 */
public interface EntryAndExitOrderDao extends Mapper<EntryAndExitOrderDO>{

    public List<EntryAndExitOrderDO> selectList(EntryAndExitOrderVO vo);

    public Page<EntryAndExitOrderVO> selectPageList(EntryAndExitOrderVO vo);

    public EntryAndExitOrderVO selectDetail(EntryAndExitOrderVO vo);

    public int insert(EntryAndExitOrderDO entryandexitorder);

    public int update(EntryAndExitOrderDO entryandexitorder);

    public int delete(EntryAndExitOrderDO entryandexitorder);

    List<EntryAndExitOrderDO> selectListBySite();

    int updatePriceStatus(EntryAndExitOrderVO entity);

    @Update("update ty_jycrkwt set fbztmc = #{fbztmc, jdbcType=VARCHAR}, fbzt = #{fbzt} where wtbm = #{wtbm, jdbcType=VARCHAR}")
    int updateNotice2NextNode(@Param("wtbm") String wtbm, @Param("fbzt") Integer fbzt, @Param("fbztmc") String fbztmc);

    @Update("update ty_jycrkwt set ggbt = #{ggbt}, ggzw = #{ggzw}, hwggbt = #{hwggbt}, hwggzw = #{hwggzw}, fbr = #{fbr}, fbztmc = #{fbztmc, jdbcType=VARCHAR}, fbzt = #{fbzt} where wtbm = #{wtbm, jdbcType=VARCHAR}")
    int updateNotice2Node(EntryAndExitOrderVO entity);

    void updateWtsNode(EntryAndExitOrderDO entity);

    EntryAndExitOrderDO getEntryAndExitOrderBySiteId(String ccbm);
}
