package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.common.vo.signuppay.FeeRateVO;
import com.unis.transaction.server.entity.signuppay.FeeRateDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 手续费率维护
 * @author lidiaoquan at 2019-09-19
 */
public interface FeeRateDao extends Mapper<FeeRateDO>{

    public List<FeeRateDO> selectList(FeeRateVO vo);

    public Page<FeeRateVO> selectPageList(FeeRateVO vo);

    public FeeRateVO selectDetail(FeeRateVO vo);

    public int insert(FeeRateDO feerate);

    public int update(FeeRateDO feerate);

    public int delete(FeeRateDO feerate);

    void updateFeeRateStatus(FeeRateVO vo);
}