package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.common.vo.givebackbail.GiveBackVO;
import com.unis.transaction.server.entity.givebackbail.GiveBackDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 保证金退款
 * @author lidiaoquan at 2019-09-21
 */
public interface GiveBackDao extends Mapper<GiveBackDO>{

    public List<GiveBackDO> selectList(GiveBackVO vo);

    public Page<GiveBackVO> selectPageList(GiveBackVO vo);

    public GiveBackDO selectDetail(GiveBackVO vo);

    public GiveBackVO selectUnionDetail(GiveBackVO vo);
    
    public int insert(GiveBackDO giveback);

    //根据apcc修改退款状态
    public int updateGiveBackTkzt(GiveBackDO giveback);

    public int delete(GiveBackDO giveback);

    List<GiveBackVO> selectGiveBackList();

    GiveBackDO selectDetailByWthbm(@Param("wthbm")String wthbm, @Param("wtfbm")String wtfbm,@Param("dwbm")String dwbm);

    List<GiveBackDO> selectGivePassAll(GiveBackVO vo);

    List<GiveBackDO> selectDetails(GiveBackVO giveBackVO);

    List<GiveBackDO> selectDetailByWthbms(@Param("wthbm")String wthbm, @Param("wtfbm")String wtfbm,@Param("dwbm")
            String dwbm);

    List<GiveBackVO> selectGiveBackCjList(@Param("gqsj")String gqsj);

    List<GiveBackVO> selectGiveBackByCcbm(String ccbm);

    List<GiveBackVO> selectGiveBackCjLists(String ccbm);
}