package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.common.vo.creditevaluate.TurnoverDataVO;
import com.unis.transaction.server.entity.creditevaluate.TurnoverDataDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.Date;
import java.util.List;

/**
 * 成交数据维护
 * @author lidiaoquan at 2019-09-26
 */
public interface TurnoverDataDao extends Mapper<TurnoverDataDO>{

    public List<TurnoverDataDO> selectList(TurnoverDataVO vo);

    public Page<TurnoverDataVO> selectPageList(TurnoverDataVO vo);

    public TurnoverDataVO selectDetail(TurnoverDataVO vo);

    public int insertTurnoverData(TurnoverDataDO turnoverdata);

    public int updateTurnoverData(TurnoverDataDO turnoverdata);

    public int deleteTurnoverData(TurnoverDataDO turnoverdata);

    //按照成交单位汇总 得到企业总得分
	public TurnoverDataVO selectCjdwSummayDetail(TurnoverDataVO vo);
	
	//按照成交单位汇总 得到信用查询（交易中心）列表
	public Page<TurnoverDataVO> selectCjdwSummayPageList(TurnoverDataVO vo);

    Page<TurnoverDataVO> selectPageLists(TurnoverDataVO vo);

    void updateHxdfByDwbm(@Param("cjdwbm") String cjdwbm, @Param("cjrq")Date date);

    List<TurnoverDataVO> selectZtbmByDwbm(TurnoverDataVO turnoverDataVO);

    void updateHxzfByDwbm(TurnoverDataDO turnoverDataDO);
}