package com.unis.transaction.server.entity.tradeplan;

import com.unis.transaction.server.entity.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * Author huyong
 * Description 交易标的
 * Date  2019-09-21
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Table(name="ty_jybd")
public class TradeMarkDO extends BaseDO {
	private static final long serialVersionUID = 1L;

	@Id
    @ApiModelProperty("")
    @Column(name = "")
	private String bdbm;	//标的编码  BD +8位顺序号

    @ApiModelProperty("")
    @Column(name = "")
	private String apbm;	//AP+8位顺序号  编码

    @ApiModelProperty("")
    @Column(name = "")
	private String wtbm;	//wt+8位顺序号  编码

    @ApiModelProperty("")
    @Column(name = "bdh")
	private String bdh;	//标的号

    @ApiModelProperty("")
    @Column(name = "")
	private BigDecimal sl;	//数量

    @ApiModelProperty("")
    @Column(name = "")
	private String apcc;	//场次

    @ApiModelProperty("")
    @Column(name = "")
	private BigDecimal qbj;	//起报价

    @Column(name = "bz")
	private String bz;	//备注

	//private String cczt;	// 场次状态 0 未发布 1 已发布

    @ApiModelProperty("")
    @Column(name = "")
	private String ccbm;
	//lgd新增start
	private String sgkdbm;	//委托收购库点编码

	private String sgkdmc;	//委托收购库点

	private String cckdbm;	//实际存储库点编码

	private String cckdmc;	//实际存储库点

	private String qydj;	//所在货位混合扦样等级
	//lgd新增end
//	private String remark;	//备注

    public static String [] getExcludeField(){
        return new String[]{
                "bz"
        };
    }
}
