package com.unis.transaction.server.entity.tradeplan;

import com.unis.transaction.server.entity.base.BaseDO;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * Author lidiaoquan
 * Description 交易细则
 * Date  2019-09-19
 */
@Data
@Table(name="ty_jyxz")
public class TradeRuleDO extends BaseDO {
	private static final long serialVersionUID = 1L;

	@Id
	private String xzbm;	//XZ+8位顺序号  编码

	private String xzbt;	//细则标题

	private String xzzw;	//细则正文
	


	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private Date bzsj;	//编制时间


	private String fjid;	//附件

	private String bzr;	//编制人员

	private Integer fbzt;	//发布状态 0 暂存 1已发布

	private String fbztmc;	//发布状态名称 0 暂存 1已发布
	
	private String lsxzbm;	//粮食性质编码

	private String lsxzmc;	//粮食性质名称

}