package com.unis.transaction.server.entity.tradeplan;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Classname TyJyccKhxxVO
 * @Description 交易场次_报名客户VO
 * @Date 2023/7/27 16:14
 * @Created by rising123sun
 */
@Data
public class TyJyccKhxxVO {

    @ApiModelProperty(value = "场次", notes ="")
    private String apcc;

    @JSONField(format = "yyyy-MM-dd")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @ApiModelProperty(value = "交易日期", notes ="")
    private Date jyrq;

    @ApiModelProperty(value = "客户名称集合", notes ="")
    private List<TyJyccKhxx> tyJyccKhxxList;


    @ApiModelProperty(value = "委托编号", notes ="")
    private String wtbm;
}
