package com.unis.transaction.server.service;

import com.alibaba.fastjson.JSONObject;
import com.unis.transaction.common.dto.base.PageResult;
import com.unis.transaction.common.vo.tradeplan.*;
import com.unis.transaction.server.entity.tradeplan.EntryAndExitOrderDO;

import java.util.List;


/**
 * 出入库委托书接口层
 * @author huyong at 2019-09-19
 */
public interface EntryAndExitOrderService {

	//出入库委托书-新增
    public void insertEntryAndExitOrder(EntryAndExitOrderVO vo);

	//出入库委托书-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public void updateEntryAndExitOrder(EntryAndExitOrderVO vo);

	//出入库委托书-分页列表
    public PageResult<EntryAndExitOrderVO> selectEntryAndExitOrderPageList(int pageNum, int pageSize, EntryAndExitOrderVO vo);

    //出入库委托书--查看--返回单条
	public EntryAndExitOrderVO selectEntryAndExitOrderInfo(EntryAndExitOrderVO vo);

    //出入库委托书--查看--通过主键
    public EntryAndExitOrderVO getEntryAndExitOrderDetail(String id);

    //出入库委托书--删除
    public void removeEntryAndExitOrder(String id);


    List<EntryAndExitOrderVO> selectEntryAndExitOrder();

    SiteBacktVO selectEntryAndExitOrderBySite(String id);

    int insertEntryAndExitOrder2(EntryAndExitOrderDTO entityDTO);

    EntryAndExitOrderDTO getEntryAndExitOrderDTO(String wtbm);

    int updateEntryAndExitOrder2(EntryAndExitOrderDTO entityDTO);

    int deleteEntryAndExitOrder(String wtbm);

    void update2NextNode(EntryAndExitOrderDO entity);

    int updatePrice(EntryAndExitOrderDTO entityDTO);

    int updatePrice2NextNode(EntryAndExitOrderVO entity);

    JSONObject updateNotice2NextNode(EntryAndExitOrderVO entity);
}
