package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.signuppay.FeeRateVO;

/**
 * 手续费率维护接口层
 * @author lidiaoquan at 2019-09-19
 */
public interface FeeRateService {

	//手续费率维护-新增
    public ResponseWrapper insertFeeRate(FeeRateVO vo);

	//手续费率维护-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public ResponseWrapper updateFeeRate(FeeRateVO vo,Integer updateType);

	//手续费率维护-分页列表
    public ResponseWrapper selectFeeRatePageList(int pageNum, int pageSize, FeeRateVO vo);

	//手续费率维护-列表全部数据
    public ResponseWrapper selectFeeRateAll(FeeRateVO vo);

	//手续费率维护--查看--返回单条
    public ResponseWrapper selectFeeRateDetail(FeeRateVO vo);

}
