package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.dto.base.PageResult;
import com.unis.transaction.server.entity.tradeplan.TyBmkhxxtj;
import com.unis.transaction.server.entity.tradeplan.TyJyccKhxx;
import com.unis.transaction.server.entity.tradeplan.TyJyccKhxxVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * @Classname TyJyccKhxxService
 * @Description 交易场次_报名客户Service
 * @Date 2023/7/27 15:24
 * @Created by rising123sun
 */
public interface TyJyccKhxxService {
    public ResponseWrapper importExcel(TyJyccKhxxVO tyJyccKhxxVO);

    public TyJyccKhxxVO selectKhxxByWtbh(String ccId);

    public List<TyJyccKhxx> selectKhxx(String wtbm);

    Integer addKhxx(List<TyJyccKhxx> tyJyccKhxxList);

    Integer deleteKhxx(List<TyJyccKhxx> tyJyccKhxxList);

    PageResult<TyBmkhxxtj> selectKhxxTj(int pageNum, int pageSize, TyBmkhxxtj tyBmkhxxtj);

    List<TyBmkhxxtj> exportKhxxTj(TyBmkhxxtj tyBmkhxxtj);
}
