package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.dto.base.PageResult;
import com.unis.transaction.common.vo.tradeplan.EntryAndExitOrderInputVO;
import com.unis.transaction.common.vo.tradeplan.WarehousingArrangementVO;

import java.util.List;


/**
 * 出入库安排接口层
 * @author huyong at 2019-09-20
 */
public interface WarehousingArrangementService {

	//出入库安排-新增
    public void insertWarehousingArrangement(EntryAndExitOrderInputVO vo);

	//出入库安排-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public void updateWarehousingArrangement(EntryAndExitOrderInputVO vo,Integer sjlx);

	
	  //出入库安排-分页列表 
    public PageResult<WarehousingArrangementVO> selectWarehousingArrangementPageList(int pageNum, int pageSize,
	  WarehousingArrangementVO vo);
	 
    
    //出入库安排--查看--返回多条
	public EntryAndExitOrderInputVO selectWarehousingArrangementInfo(WarehousingArrangementVO vo);

    //出入库安排--查看--通过主键
    public WarehousingArrangementVO getWarehousingArrangementDetail(String id);
    
    //出入库安排--删除
    public void deleteWarehousingArrangement(String id);
    
    //出入库安排--单条修改
    public Integer updateWarehousingArrangement(WarehousingArrangementVO vo);


    ResponseWrapper selectwarehousingArrangementByWtbm(String id);

    public List<WarehousingArrangementVO> selectWareDetail(WarehousingArrangementVO vo);
}
