package com.unis.transaction.api.creditevaluate;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.creditevaluate.EnterPriseClassVariableVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Author lidiaoquan
 *  企业分级变量维护 at 2019-09-26
 */
@RequestMapping("enterpriseclassvariable")
public interface EnterPriseClassVariableApi {

    //企业分级变量维护-新增
    @PostMapping("/insertEnterPriseClassVariable")
    public ResponseWrapper insertEnterPriseClassVariable(@RequestBody EnterPriseClassVariableVO vo);

    //企业分级变量维护-修改
    @PostMapping("/updateEnterPriseClassVariable")
    public ResponseWrapper updateEnterPriseClassVariable(@RequestBody  EnterPriseClassVariableVO vo);

 	//企业分级变量维护-分页查询列表
    @PostMapping("/selectEnterPriseClassVariablePageList")
    public ResponseWrapper selectEnterPriseClassVariablePageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
        									  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
       										  @RequestBody EnterPriseClassVariableVO vo);

    //企业分级变量维护-查询单个
    @PostMapping("/selectEnterPriseClassVariableDetail")
    public ResponseWrapper selectEnterPriseClassVariableDetail(@RequestBody  EnterPriseClassVariableVO vo);
    
    //企业分级变量维护-查询全部数据
    @PostMapping("/selectEnterPriseClassVariableAll")
    public ResponseWrapper selectEnterPriseClassVariableAll(@RequestBody  EnterPriseClassVariableVO vo);
}