package com.unis.transaction.api.givebackbail;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.givebackbail.NoticeVO;
import org.springframework.web.bind.annotation.*;

/**
 * Author lgd
 *  交易通知
 */
@RequestMapping("notice")
public interface NoticeApi {
    //交易通知-新增
    @PostMapping("/insertNotice")
    public ResponseWrapper insertNotice(@RequestBody NoticeVO vo);

    //交易通知-修改
    @PostMapping("/updateNotice")
    public ResponseWrapper updateNotice(@RequestBody NoticeVO vo);
    @PostMapping("/getWtf")
    public ResponseWrapper getWtf(@RequestBody NoticeVO vo);

    //交易通知-删除
    @PostMapping("/deleteNotice")
    public ResponseWrapper deleteNotice(@RequestBody NoticeVO vo);

    //交易通知-分页查询列表
    @PostMapping("/selectNoticePageList")
    public ResponseWrapper selectNoticePageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                  @RequestBody NoticeVO vo);

    //交易通知-查询单个
    @PostMapping("/selectNoticeDetail")
    public ResponseWrapper selectNoticeDetail(@RequestBody NoticeVO vo);

    //交易申诉-修改
    @PostMapping("/selectSiteAllNotice")
    public ResponseWrapper selectSiteAllNotice();

    @GetMapping(value = "/selectContractNotice/{ccbm}")
    public ResponseWrapper selectContractNotice(@RequestParam("ccbm") String ccbm);
}
