package com.unis.transaction.api.signuppay;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.signuppay.FeeRateVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Author lidiaoquan
 *  手续费率维护 at 2019-09-19
 */
@RequestMapping("feerate")
public interface FeeRateApi {

    //手续费率维护-新增
    @PostMapping("/insertFeeRate")
    public ResponseWrapper insertFeeRate(@RequestBody FeeRateVO vo);

    //手续费率维护-修改
    @PostMapping("/updateFeeRate")
    public ResponseWrapper updateFeeRate(@RequestBody  FeeRateVO vo);

 	//手续费率维护-分页查询列表
    @PostMapping("/selectFeeRatePageList")
    public ResponseWrapper selectFeeRatePageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
        									  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
       										  @RequestBody FeeRateVO vo);

    //手续费率维护-查询单个
    @PostMapping("/selectFeeRateDetail")
    public ResponseWrapper selectFeeRateDetail(@RequestBody  FeeRateVO vo);
    
    //手续费率维护-查询全部数据
    @PostMapping("/selectFeeRateAll")
    public ResponseWrapper selectFeeRateAll(@RequestBody  FeeRateVO vo);
}