package com.unis.transaction.common.constant;

public enum GiveBackBailConstant {
    /**
     * 用于保证金退款,状态控制
     */
    ZC("91000050","暂存"),
    YFS("91000051","已发送"),
    SBKTK("91000052","尚不可退款"),
    TKZ("00000000","退款中"), //编码未添加字典
    KTK("91000053","可退款"),
    YQR("91000054","已确认"),
    DQR("91000056","待确认"), //业务已确认、财务待确认
    WYTK("91000058","未成交退款"),
    JYJB("91000090","待交易经办"),
    JYSH("91000091","待交易审核"),
    CWSP("91000092","待财务审批"),
    JSSP("91000093","待结算审核"),
    CWQP("91000094","待财务签批"),
    YTK("91000055","已退款");
	 
    private String name;
    private String value;

    private GiveBackBailConstant(String value, String name){
        this.value=value;
        this.name=name;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }
}
