package com.unis.transaction.common.vo.creditevaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Author lidiaoquan
 * Description 企业分级设置
 * Date  2019-09-26
 */
@ApiModel(value = "企业分级设置")
@Data
public class EnterPriseClassSetVO implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer status;

	@ApiModelProperty(value = "设置编码 SZ+8位顺序号##前端注意：这是修改唯一标识主键", notes ="", required = false)
	private String szbm;	//设置编码 SZ+8位顺序号>>>前端注意：这是修改唯一标识主键


	@ApiModelProperty(value = "左边限定条件 1大于 2大于等于 3小于 4小于等于 5等于", notes ="", required = false)
	private Integer zbxdtj;	//左边限定条件 1大于 2大于等于 3小于 4小于等于 5等于


	@ApiModelProperty(value = "右边限定条件 1大于 2大于等于 3小于 4小于等于 5等于", notes ="", required = false)
	private Integer ybxdtj;	//右边限定条件 1大于 2大于等于 3小于 4小于等于 5等于


	@ApiModelProperty(value = "左边限定值变量名", notes ="", required = false)
	private String zbxdzblm;	//左边限定值变量名


	@ApiModelProperty(value = "右边限定值变量名", notes ="", required = false)
	private String ybxdzblm;	//右边限定值变量名


	@ApiModelProperty(value = "左边限定值变量值", notes ="", required = false)
	private Integer zbxdzblz;	//左边限定值变量值


	@ApiModelProperty(value = "右边限定值变量值", notes ="", required = false)
	private Integer ybxdzblz;	//右边限定值变量值


	@ApiModelProperty(value = "左边限定值编码", notes ="", required = false)
	private String zbxdzbm;	//左边限定值编码


	@ApiModelProperty(value = "右边限定值编码", notes ="", required = false)
	private String ybxdzbm;	//右边限定值编码


	@ApiModelProperty(value = "分级名称 例如：B级：违规企业", notes ="", required = false)
	private String fjmc;	//分级名称 例如：B级：违规企业


}