package com.unis.transaction.common.vo.creditevaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Author lidiaoquan
 * Description 企业分级变量维护
 * Date  2019-09-26
 */
@ApiModel(value = "企业分级变量维护")
@Data
public class EnterPriseClassVariableVO implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer status;

	@ApiModelProperty(value = "变量编码 BL+8位顺序号##前端注意：这是修改唯一标识主键", notes ="", required = false)
	private String blbm;	//变量编码 BL+8位顺序号>>>前端注意：这是修改唯一标识主键


	@ApiModelProperty(value = "变量名", notes ="", required = false)
	private String blm;	//变量名


	@ApiModelProperty(value = "变量值", notes ="", required = false)
	private Integer blz;	//变量值


}