package com.unis.transaction.common.vo.creditevaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Author lidiaoquan
 * Description 成交数据维护
 * Date  2019-09-26
 */
@ApiModel(value = "成交数据维护状态入参")
@Data
public class TurnoverDataStateVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "成交编码 CJ+8位顺序号##前端注意：这是修改唯一标识主键", notes ="", required = false)
	private String cjbm;	//成交编码 CJ+8位顺序号>>>前端注意：这是修改唯一标识主键

	@ApiModelProperty(value = "状态编码", notes ="", required = false)
	private String ztbm;	//状态编码

	@ApiModelProperty(value = "状态名称", notes ="", required = false)
	private String ztmc;	//状态名称
	
}