package com.unis.transaction.common.vo.flowable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @Auther:张新亮
 * @Date: 2019/7/12 0012 14:22
 * @Description:
 */
@Getter
@Setter
@ToString
public class FlowAbleCompleteVO{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * 下级审批用户id，多个以逗号隔开
     */
    private String assignee;

    /**
     * 审批建议
     */
    private String message;

    /**
     *  流程id
     */
    private String processId;


    /**
     * 流程状态传参value
     */
    private String status;

    /**
     *  标识流程状态传参key  标识流程状态传参key    status : 0: 启动流程当前用户默认传值  1 上集集团用户  2   县粮食局用户  3 市粮食局用户  4  省粮食局用户 :  comeout 1 通过 2 驳回
     */
    private String statusKey;

    /**
     *  用户ID
     */
    private String userId;

    /**
     *  用户类型  10 粮食局用户  20 企业用户
     */
    private String userType;

    /**
     * 退回参数
     */
    private String comeoutKey;

    /**
     * 退回参数值
     */
    private String comeout;

}