package com.unis.transaction.common.vo.givebackbail;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 未成交退款子表-lgd
 */
@ApiModel(value = "未成交退款子表")
@Data
public class GiveBackChildVO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "退款编码 TK + 8位", notes ="", required = false)
    private String tkbm;

    @ApiModelProperty(value = "子表编码 GC+8位顺序号", notes ="", required = false)
    private String gcbm;

    @ApiModelProperty(value = "单位名称", notes ="", required = false)
    private String dwmc;
    @ApiModelProperty(value = "单位编码", notes ="", required = false)
    private String dwbm;
    @ApiModelProperty(value = "缴款额", notes ="", required = false)
    private String jkje;
    @ApiModelProperty(value = "成交单价", notes ="", required = false)
    private String cjje;
    @ApiModelProperty(value = "成交数量", notes ="", required = false)
    private String cjsl;
    @ApiModelProperty(value = "冻结金额", notes ="", required = false)
    private String djje;
    @ApiModelProperty(value = "手续费", notes ="", required = false)
    private String sxf;
    @ApiModelProperty(value = "清退金额", notes ="", required = false)
    private String qtje;
    @ApiModelProperty(value = "备注", notes ="", required = false)
    private String bz;
}
