package com.unis.transaction.common.vo.tradeplan;


/**
 * Description 合同
 * Date  2019-09-21
 */

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "合同")
@Data
public class ContractImpVO implements Serializable {
    @ApiModelProperty(value = "合同编码  HT +8位顺序号", notes ="", required = false)
    private String htbm;

    @ApiModelProperty(value = "标的号", notes ="", required = false)
    private String bdh;

    @ApiModelProperty(value = "买方", notes ="", required = false)
    private String sgmc;

    @ApiModelProperty(value = "卖方", notes ="", required = false)
    private String cmmc;

    @JsonFormat(pattern ="yyyy-MM-dd")
    @ApiModelProperty(value = "成交日期", notes ="", required = false)
    private Date cjrq;

    @ApiModelProperty(value = "品种名称", notes ="", required = false)
    private String pzmc;

    @ApiModelProperty(value = "粮食等级", notes ="", required = false)
    private String lsdj;

    @ApiModelProperty(value = "单价", notes ="", required = false)
    private BigDecimal dj;

    @ApiModelProperty(value = "粮食数量", notes ="", required = false)
    private BigDecimal lssl;

    @ApiModelProperty(value = "价款", notes ="", required = false)
    private String je;

    private String njhck;
    private String nqpj;
    private String nmfcck;
    private String nch;
    private String nnf;
    private String nsflt;
    private String nqydj;
    private String nzcjl;
    private String nckjzrq;
    private String ncfbm;
    private String nmfbm;
    private String nbz;
}
