package com.unis.transaction.common.vo.tradeplan;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;

/**
 * @author by PIG
 * 2022/8/25 16
 */
@AllArgsConstructor
@Builder
@NoArgsConstructor
@Data
@ApiModel(value = "委托书传输对象")
public class EntryAndExitOrderDTO {

    @ApiModelProperty("委托书")
    private EntryAndExitOrderVO entryAndExitOrderVO;

    @ApiModelProperty("安排")
    private List<WarehousingArrangementDTO> apList;

    @ApiModelProperty("货源")
    private List<WarehousingArrangementDTO> hyList;
}
