package com.unis.transaction.common.vo.tradeplan;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Tolerate;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * @author by PIG
 * 2022/8/22 15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "出入库委托书 货物品种")
@Table(name = "ty_jycrkwt_hw")
public class EntryAndExitOrderGoodsDO {

    @Id
    @Column(name = "data_id")
    private String dataId;

    @ApiModelProperty(value = "wt+8位顺序号  编码", notes ="")
    private String wtbm;

    @ApiModelProperty(value = "品种", notes ="")
    @Column(name = "pzmc")
    private String pzmc;

    @ApiModelProperty(value = "品种", notes = "")
    @Column(name = "pzbm")
    private String pzbm;

    @ApiModelProperty(value = "粮食等级", notes ="")
    @Column(name  = "lsdj")
    private String lsdj;

    @ApiModelProperty(value = "生产年度", notes ="")
    @Column(name  = "scnd")
    private String scnd;

    @ApiModelProperty(value = "粮食数量", notes ="")
    @Column(name  = "lssl")
    private BigDecimal lssl;

    @ApiModelProperty("交易方向<br/>  0 采购 <br/> 1 销售")
    @Column(name  = "jyfx")
    private String jyfx;

}
