package com.unis.transaction.common.vo.tradeplan;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Classname TyJytjbbService
 * @Description 交易统计报表
 * @Date 2023/7/27 18:28
 * @Created by rising123sun
 */
@Data
public class TyJytjbb {

    @ApiModelProperty(value = "场次")
    @ExcelProperty("场次")
    private String apcc;

    @ApiModelProperty(value = "交易日期")
    @ExcelProperty("交易日期")
    private String cjrq;

    @ApiModelProperty(value = "交易类型<br/> 0采购 1销售 0,1购销双向")
    @ExcelIgnore
    private String jyfx;

    @ApiModelProperty(value = "交易方向")
    @ExcelProperty("交易方向")
    private String jyfxmc;

    @ApiModelProperty(value = "交易方式<br/> 0竞价 1挂牌 2购销双向")
    @ExcelIgnore
    private String jyfs;

    @ApiModelProperty(value = "交易方式")
    @ExcelProperty("交易方式")
    private String jyfsmc;

    @ApiModelProperty(value = "委托单位",notes = "储备粮---发送单位")
    @ExcelProperty("委托单位")
    private String wtfmc;

    @ApiModelProperty(value = "委托方编码",notes = "委托方编码")
    private String wtfbm;

    @ApiModelProperty(value = "品种")
    @ExcelProperty("品种")
    private String pzmc;

    @ApiModelProperty(value = "品种编码")
    @ExcelIgnore
    private String pzbm;

    @ApiModelProperty(value = "成交单位")
    @ExcelIgnore
    private String sgmc;

    @ApiModelProperty(value = "品种集合")
    @ExcelIgnore
    private List<String> pzList;

    @ApiModelProperty(value = "粮食性质<br/> 1·市储<br/> 2·区储<br/> 3·市自")
    private String lsxzbm;

    @ApiModelProperty(value = "场次状态")
    private String cczt;
}
