package com.unis.transaction.server.dao;

import com.unis.transaction.common.vo.tradeplan.EntryAndExitOrderSeeSampleDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

/**
 * @author by PIG
 * 2022/8/22 16
 */
public interface EntryAndExitOrderSeeSampleDao extends Mapper<EntryAndExitOrderSeeSampleDO> {


    @Select(value = "select seq_jycrkwt_sub.nextval from dual")
    String getNextSeq();

    @Delete("delete from ty_jycrkwt_ky where wtbm = #{wtbm}")
    int deleteByWtbm(@Param("wtbm") String wtbm);
}
