package com.unis.transaction.server.dao;

import com.unis.transaction.common.vo.tradeplan.RefundNoticeContractVO;
import com.unis.transaction.common.vo.tradeplan.RefundNoticeQueryVO;
import com.unis.transaction.common.vo.tradeplan.RefundNoticeVO;
import com.unis.transaction.server.entity.tradeplan.RefundNoticeDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface RefundNoticeDao extends Mapper<RefundNoticeDO> {

    List<RefundNoticeVO> selectList(RefundNoticeQueryVO queryVO);

    List<RefundNoticeContractVO> selectContractList(RefundNoticeQueryVO queryVO);

    int updateHtRefundStatusByHtbm(@Param("htbm") String htbm,@Param("refundStatus")Integer refundStatus);

    RefundNoticeVO selectByHtbm(@Param("htbm")String htbm);
}
