package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.common.vo.tradeplan.ContractVO;
import com.unis.transaction.common.vo.tradeplan.SiteVO;
import com.unis.transaction.common.vo.tradeplan.TradeMarkVO;
import com.unis.transaction.common.vo.tradeplan.WarehousingArrangementVO;
import com.unis.transaction.server.entity.tradeplan.*;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.math.BigDecimal;
import java.util.List;

/**
 * 交易标的
 * @author huyong at 2019-09-21
 */
public interface TradeMarkDao extends Mapper<TradeMarkDO>{


    List<TradeMarkDO> findByBdh(String head);

    TradeMarkVO findByApbm(String apbm);

    Page<SiteVO> selectPageList(SiteVO vo);

    int selectCode();

    SiteVO valiCode(@Param("ccbm")String ccbm, @Param("cccode")String cccode);

    List<EntryAndExitOrderDO> selectListBySite();

    int updateBytrade(TradeMarkDO entity);

    void deleteTradeMarkSite(@Param("wtbm") String wtbm);

    Page<WarehousingArrangementVO> selectPage(WarehousingArrangementVO vo);

    Page<ContractVO> selectContractPage(ContractVO vo);

    List<SiteVO> selectTradeMarkAll();

    List<ContractVO> selectContractList(@Param("ccbm")String id,@Param("dwbm") String dwbm);

    List<WarehousingArrangementVO> selectwarehousingArrangementByWtbm(String id);

    TradeMarkDO selectTradeMarkByBdh(String bdh);

    TradeMarkDO selectPrimaryByBdh(String bdh);

    TradeMarkVO selectByBdh(String bdh);

    SiteDO selectSiteByBdbm(String bdbm);

    List<ContractVO> selectDwbmList(SiteVO siteVO);

    List<ContractVO> selectDwbmLists(SiteVO siteVO);

    List<ContractVO> selectContractByDwbm(SiteVO siteVO);

    List<ContractVO> selectContractByDwbms(SiteVO siteVO);

    List<ContractVO> selectContracts(SiteVO siteVO);

    List<ContractVO> selectContractNotice(SiteVO siteVO);

    List<TradeMarkDO> selectListByCcbm(String ccbm);

    List<WarehousingArrangementDO> selectByEntity(WarehousingArrangementDO entity);

    Double getDj(@Param("ccbm")String ccbm);

    String getCjsl(SiteVO siteVO);

    String getZdcjj(SiteVO siteVO);

    String getZgcjj(SiteVO siteVO);

    String getCjje(SiteVO siteVO);

    List<ContractDO> selectContractByBdh(SiteVO siteVO);

    List<ContractDO> selectContractByCmmc(SiteVO siteVO);

    List<ContractDO> selectContractBySgmc(SiteVO siteVO);

    List<SiteVO> selectContractByZt(String wczt);

    List<ContractVO> selectContractLists(@Param("ccbm")String id,@Param("dwbm") String dwbm);

    String getTotalSum(@Param("ccbm")String id,@Param("dwbm") String dwbm);

    String getTotalSums(@Param("ccbm")String id,@Param("dwbm") String dwbm);

    List<ContractVO> selectTkdwList(SiteVO siteVO);

    List<ContractVO> selectTkdwHtList(SiteVO siteVO);

    String selectOrgCode(String dwbm);

    List<ContractVO> selectContractHtByDwbm(SiteVO siteVO);
    List<String> selectGxgsList(String dwbm);

    List<String> getKqdmByQyjgdm(String cckdm);
}
