package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.common.vo.tradeplan.TradeRuleVO;
import com.unis.transaction.server.entity.tradeplan.TradeRuleDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 交易细则
 * @author lidiaoquan at 2019-09-19
 */
public interface TradeRuleDao extends Mapper<TradeRuleDO>{

    public List<TradeRuleDO> selectList(TradeRuleVO vo);

    public Page<TradeRuleVO> selectPageList(TradeRuleVO vo);

    public TradeRuleVO selectDetail(TradeRuleVO vo);

    public int insert(TradeRuleDO traderule);

    public int update(TradeRuleDO traderule);

    public int delete(TradeRuleDO traderule);

}