package com.unis.transaction.server.dao;

import com.github.pagehelper.Page;
import com.unis.transaction.server.entity.tradeplan.TyBmkhxxtj;
import com.unis.transaction.server.entity.tradeplan.TyJyccKhxx;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * @Classname TyJyccKhxxDao
 * @Description 交易场次_报名客户Dao
 * @Date 2023/7/27 15:22
 * @Created by rising123sun
 */
public interface TyJyccKhxxDao extends Mapper<TyJyccKhxx> {
    @Select("select * from ty_jycc_khxx where wtbh = #{wtbh}")
    List<TyJyccKhxx> selectKhxxByWtbh(String wtbh);

    Page<TyBmkhxxtj> selectKhxxTj(TyBmkhxxtj tyBmkhxxtj);

    List<TyBmkhxxtj> exportKhxxTj(TyBmkhxxtj tyBmkhxxtj);
}
