package com.unis.transaction.server.dao;

import com.unis.transaction.server.entity.tradeplan.WarehousingArrangementDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import tk.mybatis.mapper.common.Mapper;

import java.math.BigDecimal;

/**
 * 出入库安排
 * @author huyong at 2019-09-20
 */
public interface WarehousingArrangementDao extends Mapper<WarehousingArrangementDO>{

    @Delete("delete from ty_jycrkap where wtbm = #{wtbm, jdbcType=VARCHAR}")
    int deleteByWtbm(@Param("wtbm") String wtbm);

    @Update("update ty_jycrkap set bdh = #{bdh} where apbm = #{apbm, jdbcType=VARCHAR}")
    void updateBdh(WarehousingArrangementDO item);

    @Update("update ty_jycrkap set jydj = #{jydj} where apbm = #{apbm, jdbcType=VARCHAR}")
    void updatePrice(@Param("apbm")String apbm, @Param("jydj")BigDecimal jydj);
}
