package com.unis.transaction.server.entity.creditevaluate;

import com.unis.transaction.server.entity.base.BaseDO;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Author lidiaoquan
 * Description 企业分级设置
 * Date  2019-09-26
 */
@Data
@Table(name="ty_jyqyfjsz")
public class EnterPriseClassSetDO extends BaseDO {
	private static final long serialVersionUID = 1L;

	@Id
	private String szbm;	//设置编码 SZ+8位顺序号

	private Integer zbxdtj;	//左边限定条件 1大于 2大于等于 3小于 4小于等于 5等于

	private Integer ybxdtj;	//右边限定条件 1大于 2大于等于 3小于 4小于等于 5等于

	private String zbxdzblm;	//左边限定值变量名

	private String ybxdzblm;	//右边限定值变量名

	private Integer zbxdzblz;	//左边限定值变量值

	private Integer ybxdzblz;	//右边限定值变量值

	private String zbxdzbm;	//左边限定值编码

	private String ybxdzbm;	//右边限定值编码

	private String fjmc;	//分级名称 例如：B级：违规企业


}