package com.unis.transaction.server.entity.givebackbail;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.transaction.server.entity.base.BaseDO;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Author lidiaoquan
 * Description 保证金退款
 * Date  2019-09-21
 */
@Data
@Table(name="ty_jybzjtk")
public class GiveBackDO extends BaseDO {
	private static final long serialVersionUID = 1L;

	@Id
	private String tkbm;	//退款编码 TK + 8位>>>前端注意：这是修改唯一标识主键

	private String jybm;	//交易编码 JY+8位顺序号

	private String wthbm;	//退保证金委托函编码

	private String wtfbm;

	private String wtbm;	//退保证金委托函编码

	private String apcc;	//场次

	private String sjlx;	//0 未成交 1成交
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private Date gqsj;
	private Integer bdsl;
	private Integer tkfl;
	private String jyfx;
	private BigDecimal bzj;
	private BigDecimal jkje;
	private String htbh;
	private String htbm;
	private String jsdw;
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date tksj;	//退款时间

	private String tkzt;	//财务退款状态 0 待确认 1已确认

	private String tkztmc;	//财务退款状态 0 待确认 1已确认

	private BigDecimal sl;
	private String je;
	private String dwbm;
	private String dwmc;
	private String ccbm;
	private String sxf;
	private String jyjbr;
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	private Date jyjbsj;
	private String jyfzr;
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	private Date jyfzsj;
	private Integer jyfz;
	private String jyfzyj;
	private String jycwr;
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	private Date jycwsj;
	private Integer jycw;
	private String jycwyj;
	private String jyjsr;
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	private Date jyjssj;
	private Integer jyjs;
	private String jyjsyj;
	private String jyzcr;
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	private Date jyzcsj;
	private Integer jyzc;
	private String jyzcyj;

	private String bz;
}
