package com.unis.transaction.server.entity.signuppay;

import com.unis.transaction.server.entity.base.BaseDO;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Author lidiaoquan
 * Description 手续费率维护
 * Date  2019-09-19
 */
@Data
@Table(name="ty_sxflwh")
public class FeeRateDO extends BaseDO {
	private static final long serialVersionUID = 1L;

	@Id
	private String flbm;	//FL+8位顺序号  费率编码

	private String sxfl;	//手续费率维护

	private String clxzbm;	//粮食性质编码

	private String clxzmc;	//粮食性质名称

	private Integer fbzt;	//发布状态 0 禁用中 1应用中

	private String fbztmc;	//发布状态名称 0 禁用中 1应用中

//	private String remark;	//备注


}