package com.unis.transaction.server.entity.tradeplan;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel("待办接收人")
@Data
public class ReceiverCollectionVO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("用户名")
    private String userName;
    @ApiModelProperty("用户id")
    private String userId;

    public ReceiverCollectionVO() {
    }

    public ReceiverCollectionVO(String userName, String userId) {
        this.userName = userName;
        this.userId = userId;
    }

    public String getUserName() {
        return this.userName;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserName(final String userName) {
        this.userName = userName;
    }

    public void setUserId(final String userId) {
        this.userId = userId;
    }

    public String toString() {
        return "ReceiverCollectionVO(userName=" + this.getUserName() + ", userId=" + this.getUserId() + ")";
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof ReceiverCollectionVO)) {
            return false;
        } else {
            ReceiverCollectionVO other = (ReceiverCollectionVO)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$userName = this.getUserName();
                Object other$userName = other.getUserName();
                if (this$userName == null) {
                    if (other$userName != null) {
                        return false;
                    }
                } else if (!this$userName.equals(other$userName)) {
                    return false;
                }

                Object this$userId = this.getUserId();
                Object other$userId = other.getUserId();
                if (this$userId == null) {
                    if (other$userId != null) {
                        return false;
                    }
                } else if (!this$userId.equals(other$userId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof ReceiverCollectionVO;
    }

    public int hashCode() {
//        int PRIME = true;
        int result = 1;
        Object $userName = this.getUserName();
        result = result * 59 + ($userName == null ? 43 : $userName.hashCode());
        Object $userId = this.getUserId();
        result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
        return result;
    }
}
