package com.unis.transaction.server.entity.tradeplan;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Classname TyHttxsj
 * @Description 合同提醒时间
 * @Date 2023/8/2 10:02
 * @Created by rising123sun
 */
@Data
@ApiModel(description = "合同提醒时间")
@Table(name = "ty_httxsj")
public class TyHttxsj {

    // 时间
    @ApiModelProperty(value = "时间", notes ="")
    @Column(name = "sj")
    private Integer sj;

    // 设置时间
    @ApiModelProperty(value = "设置时间", notes ="")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "szsj")
    private Date szsj;

}
