package com.unis.transaction.server.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.unis.transaction.server.entity.tradeplan.TyJyccKhxx;

import java.util.List;

public class DataListener extends AnalysisEventListener<TyJyccKhxx> {
    private List<TyJyccKhxx> dataList;

    public DataListener(List<TyJyccKhxx> dataList) {
        this.dataList = dataList;
    }

    @Override
    public void invoke(TyJyccKhxx data, AnalysisContext context) {
        dataList.add(data);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext context) {
        //可以在此处处理数据，例如保存到数据库
    }
}
