package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.creditevaluate.EnterPriseClassSetVO;
import com.unis.transaction.common.vo.creditevaluate.EnterPriseClassVO;

/**
 * 企业分级设置接口层
 * @author lidiaoquan at 2019-09-26
 */
public interface EnterPriseClassSetService {

	//企业分级设置-新增
    public ResponseWrapper insertEnterPriseClassSet(EnterPriseClassVO vo);

	//企业分级设置-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public ResponseWrapper updateEnterPriseClassSet(EnterPriseClassSetVO vo,Integer updateType);

	//企业分级设置-列表全部数据
    public ResponseWrapper selectEnterPriseClassSetAll(EnterPriseClassSetVO vo);

	//企业分级设置--查看--返回单条
    public ResponseWrapper selectEnterPriseClassSetDetail(EnterPriseClassSetVO vo);

}
