package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.givebackbail.GiveBackVO;
import com.unis.transaction.common.vo.givebackbail.PassBackVO;

import java.util.List;

/**
 * 保证金退款接口层
 * @author lidiaoquan at 2019-09-21
 */
public interface GiveBackService {

	//保证金退款-新增
    public ResponseWrapper insertGiveBack(GiveBackVO vo);

	//保证金退款-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public ResponseWrapper updateGiveBack(GiveBackVO vo,Integer updateType);

	//保证金退款-分页列表
    public ResponseWrapper selectGiveBackPageList(int pageNum, int pageSize, GiveBackVO vo);

	//保证金退款-列表全部数据
    public ResponseWrapper selectGiveBackAll(GiveBackVO vo);

	//保证金退款--查看--返回单条
    public ResponseWrapper selectGiveBackDetail(GiveBackVO vo);

    List<GiveBackVO> selectGiveBackList();

    void updateGiveEntity(GiveBackVO entity);

    ResponseWrapper updateGiveBackPass(PassBackVO vo);

    ResponseWrapper selectGiveBackPass(PassBackVO vo);

    ResponseWrapper selectPassBackPageList(int pageNum, int pageSize, PassBackVO vo);

    ResponseWrapper selectPassBack(GiveBackVO vo);

    ResponseWrapper selectGivePassAll(GiveBackVO vo);

    List<GiveBackVO> selectGiveBackCjList(String gqsj);

    List<GiveBackVO> selectGiveBackByCcbm(String ccbm);

    List<GiveBackVO> selectGiveBackCjLists(String ccbm);
}
