package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.dto.base.PageResult;
import com.unis.transaction.common.vo.tradeplan.RefundLetterVO;
import com.unis.transaction.common.vo.tradeplan.RefundNoticeContractVO;
import com.unis.transaction.common.vo.tradeplan.RefundNoticeQueryVO;
import com.unis.transaction.common.vo.tradeplan.RefundNoticeVO;

public interface RefundNoticeService {
    Integer save(RefundNoticeVO vo);

    ResponseWrapper update(Integer type, RefundNoticeVO vo);

    PageResult<RefundNoticeVO> getPage(Integer pageNum, Integer pageSize, RefundNoticeQueryVO queryVO);

    PageResult<RefundNoticeContractVO> getContractPage(Integer pageNum, Integer pageSize, RefundNoticeQueryVO queryVO);

    Integer saveLetter(RefundLetterVO vo);

    ResponseWrapper updateLetter(Integer type, RefundLetterVO vo);

    RefundNoticeVO getInfoByHtbm(String htbm);
}
