package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.dto.base.PageResult;
import com.unis.transaction.common.vo.tradeplan.*;

import java.util.List;


/**
 * 交易标的接口层
 * @author huyong at 2019-09-21
 */
public interface TradeMarkService {

	//交易标的-新增
    public void insertTradeMark(TradeMarkBackVO vo);

	//交易标的-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public void updateTradeMark(TradeMarkBackVO vo);


    //交易标的--查看--返回单条
	public List<TradeMarkVO> selectTradeMarkInfo(TradeMarkVO vo);

    //交易标的--查看--通过主键
    public TradeMarkBackVO getTradeMarkDetail(String id);

    //交易标的--删除
    public void deleteTradeMark(String id);

    //交易标的 --根据委托方编码获取标的列表
    public PageResult<SiteVO> selectByWtfbm(int pageNum, int pageSize, SiteVO vo);

    //交易标的--导出
    public List<WarehousingArrangementVO> exportTradeMark(String apbm);


    void insertCC(SiteVO vo);

    void updateCC(SiteVO vo);

    int selectCode();

    Boolean valiCode(String ccbm,String cccode);

    SiteBacktVO selectCC(String id);

    void delCC(String id);

    PageResult<WarehousingArrangementVO> selectPage(int pageNum, int pageSize, WarehousingArrangementVO vo);

    void insertContract(ContractVO vo);

    void updateContract(ContractVO vo);

    ResponseWrapper selectContractDetail(String id);

    PageResult<ContractVO> selectContractPage(int pageNum, int pageSize, ContractVO vo);

    ResponseWrapper selectContract(String id);

    ResponseWrapper selectTradeMarkAll();

    ResponseWrapper selectContractList(String id);

    SiteVO selectDetailCC(String ccbm);

    void updateStatusCC(SiteVO siteVO);
    TradeMarkVO selectTradeMarkByBdh(String bdh);

    void deleteTrade(String ids);

    ResponseWrapper selectDWmcList(String id);

    ResponseWrapper selectContractByDwbm(String dwbm,String ccbm);

    ResponseWrapper selectContracts(String dwbm, String jylx);

    ResponseWrapper selectTradeByCcbm(String ccbm);

    ResponseWrapper selectContractAll();

    Double getDj(String ccbm);

    List<SiteVO> selectContractByZt(String wczt);

    ResponseWrapper selectContractAlls(String jylx);

    void updateContractByisChange(ContractVO vo);
}
