package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.tradeplan.TradeRuleVO;

/**
 * 交易细则接口层
 * @author lidiaoquan at 2019-09-19
 */
public interface TradeRuleService {

	//交易细则-新增
    public ResponseWrapper insertTradeRule(TradeRuleVO vo);

	//交易细则-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public ResponseWrapper updateTradeRule(TradeRuleVO vo,Integer updateType);

	//交易细则-分页列表
    public ResponseWrapper selectTradeRulePageList(int pageNum, int pageSize, TradeRuleVO vo);

	//交易细则-列表全部数据
    public ResponseWrapper selectTradeRuleAll(TradeRuleVO vo);

	//交易细则--查看--返回单条
    public ResponseWrapper selectTradeRuleDetail(TradeRuleVO vo);

}
