package com.unis.transaction.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.transaction.common.vo.creditevaluate.TurnoverDataVO;

/**
 * 成交数据维护接口层
 * @author lidiaoquan at 2019-09-26
 */
public interface TurnoverDataService {

	//成交数据维护-新增
    public ResponseWrapper insertTurnoverData(TurnoverDataVO vo);

	//成交数据维护-修改 注意：updateType非必填项 默认为null 代表业务更新 ，值为1时代表 单表更新
    public ResponseWrapper updateTurnoverData(TurnoverDataVO vo,Integer updateType);

	//成交数据维护-分页列表
    public ResponseWrapper selectTurnoverDataPageList(int pageNum, int pageSize, TurnoverDataVO vo);

	//成交数据维护-列表全部数据
    public ResponseWrapper selectTurnoverDataAll(TurnoverDataVO vo);

	//成交数据维护--查看--返回单条
    public ResponseWrapper selectTurnoverDataDetail(TurnoverDataVO vo);

    ResponseWrapper insertTurnoverDataImp(TurnoverDataVO vo);

    ResponseWrapper selectTurnoverDataImport(TurnoverDataVO vo);
}
